Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.mozilla.javascript.annotations
Annotation Type JSGetter

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface JSGetter

An annotation that marks a Java method as JavaScript getter. This can be used as an alternative to the `jsGet_` prefix desribed in `ScriptableObject.defineClass(org.mozilla.javascript.Scriptable, java.lang.Class)`.

Optional Element Summary
`java.lang.String` | `value`

### value

    public abstract java.lang.String value

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT